[Fusionforge-commits] r8421 - in trunk/gforge: deb-specific debian debian/dsf-in

Roland Mas lolando at libremir.placard.fr.eu.org
Thu Nov 19 16:01:37 CET 2009


Author: lolando
Date: 2009-11-19 16:01:37 +0100 (Thu, 19 Nov 2009)
New Revision: 8421

Added:
   trunk/gforge/debian/dsf-in/plugin-scmbzr.init.d
Removed:
   trunk/gforge/debian/gforge-plugin-scmbzr.init.d
Modified:
   trunk/gforge/deb-specific/dsf-helper.pl
Log:
Moved plugin-scmbzr.init.d to dsf-helper infrastructure

Modified: trunk/gforge/deb-specific/dsf-helper.pl
===================================================================
--- trunk/gforge/deb-specific/dsf-helper.pl	2009-11-19 15:01:27 UTC (rev 8420)
+++ trunk/gforge/deb-specific/dsf-helper.pl	2009-11-19 15:01:37 UTC (rev 8421)
@@ -15,7 +15,7 @@
 ###
 # STATIC DATA
 
- at known_files = qw/ config templates preinst postinst prerm postrm links / ;
+ at known_files = qw/ config templates preinst postinst prerm postrm links init.d / ;
 
 ###
 # HELPER FUNCTIONS

Copied: trunk/gforge/debian/dsf-in/plugin-scmbzr.init.d (from rev 8420, trunk/gforge/debian/gforge-plugin-scmbzr.init.d)
===================================================================
--- trunk/gforge/debian/dsf-in/plugin-scmbzr.init.d	                        (rev 0)
+++ trunk/gforge/debian/dsf-in/plugin-scmbzr.init.d	2009-11-19 15:01:37 UTC (rev 8421)
@@ -0,0 +1,66 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          @PACKAGE at -plugin-scmbzr
+# Required-Start:    $local_fs $network
+# Required-Stop:     $local_fs $network
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+### END INIT INFO
+#
+# Init script for @PACKAGE at -plugin-scmbzr Debian package.
+# Based on the script provided by loggerhead.
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DESC="Loggerhead Bazaar Branch Browser for @FORGENAME@"
+NAME=@PACKAGE at -plugin-scmbzr
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Gracefully exit if the package has been removed.
+[ -x /usr/bin/serve-branches ] || exit 0
+
+# Check if configuration file is present
+[ ! -f /etc/@PACKAGE@/plugins/scmbzr/serve-branches.conf ] && exit 0
+
+. /etc/@PACKAGE@/plugins/scmbzr/serve-branches.conf
+
+#
+#	Function that starts the daemon/service.
+#
+d_start() {
+    start-stop-daemon -p $PIDFILE -S --startas /usr/bin/serve-branches --chuid loggerhead --make-pidfile --background --chdir $served_branches -- --prefix=$prefix --port=$port --log-folder /var/log/loggerhead 2>/dev/null
+}
+
+#
+#	Function that stops the daemon/service.
+#
+d_stop() {
+	start-stop-daemon -p $PIDFILE -K
+}
+
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: $NAME"
+	d_start
+	echo "."
+	;;
+  stop)
+	echo -n "Stopping $DESC: $NAME"
+	d_stop
+	echo "."
+	;;
+  restart|force-reload)
+	echo -n "Restarting $DESC: $NAME"
+	d_stop
+	sleep 1
+	d_start
+	echo "."
+	;;
+  *)
+	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0

Deleted: trunk/gforge/debian/gforge-plugin-scmbzr.init.d
===================================================================
--- trunk/gforge/debian/gforge-plugin-scmbzr.init.d	2009-11-19 15:01:27 UTC (rev 8420)
+++ trunk/gforge/debian/gforge-plugin-scmbzr.init.d	2009-11-19 15:01:37 UTC (rev 8421)
@@ -1,66 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          gforge-plugin-scmbzr
-# Required-Start:    $local_fs $network
-# Required-Stop:     $local_fs $network
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-### END INIT INFO
-#
-# Init script for gforge-plugin-scmbzr Debian package.
-# Based on the script provided by loggerhead.
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-DESC="Loggerhead Bazaar Branch Browser for FusionForge"
-NAME=gforge-plugin-scmbzr
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Gracefully exit if the package has been removed.
-[ -x /usr/bin/serve-branches ] || exit 0
-
-# Check if configuration file is present
-[ ! -f /etc/gforge/plugins/scmbzr/serve-branches.conf ] && exit 0
-
-. /etc/gforge/plugins/scmbzr/serve-branches.conf
-
-#
-#	Function that starts the daemon/service.
-#
-d_start() {
-    start-stop-daemon -p $PIDFILE -S --startas /usr/bin/serve-branches --chuid loggerhead --make-pidfile --background --chdir $served_branches -- --prefix=$prefix --port=$port --log-folder /var/log/loggerhead 2>/dev/null
-}
-
-#
-#	Function that stops the daemon/service.
-#
-d_stop() {
-	start-stop-daemon -p $PIDFILE -K
-}
-
-
-case "$1" in
-  start)
-	echo -n "Starting $DESC: $NAME"
-	d_start
-	echo "."
-	;;
-  stop)
-	echo -n "Stopping $DESC: $NAME"
-	d_stop
-	echo "."
-	;;
-  restart|force-reload)
-	echo -n "Restarting $DESC: $NAME"
-	d_stop
-	sleep 1
-	d_start
-	echo "."
-	;;
-  *)
-	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
-	exit 1
-	;;
-esac
-
-exit 0




More information about the Fusionforge-commits mailing list